Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.emv.mgmt
Class EMVCardServiceFactory

    java.lang.Object
      |
      +--opencard.core.service.CardServiceFactory
            |
            +--opencard.opt.emv.mgmt.EMVCardServiceFactory

public class EMVCardServiceFactory
extends opencard.core.service.CardServiceFactory

A primitive factory for creating `BasicEMVAppletAccess` Card Services. This factory includes no Card Recognition and assumes to handle EMV compliant cards. The factory is intended for usage when testing the AppletAccessCardService with EMV cards.

See Also:
  `AppletAccessCardService`, `AbstractAppletAccessor`

Constructor Summary
`EMVCardServiceFactory()`

Method Summary
`opencard.core.service.CardType` | `getCardType(opencard.core.terminal.CardID cid, opencard.core.service.CardServiceScheduler scheduler)` Checks whether this factory can instantiate services for a given card.
`protected java.util.Enumeration` | `getClasses(opencard.core.service.CardType type)` Return an enumeration of known `CardService` classes.

Methods inherited from class opencard.core.service.CardServiceFactory
`getCardServiceInstance, getClassFor, newCardServiceInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMVCardServiceFactory

    public EMVCardServiceFactory()

Method Detail

### getClasses

    protected java.util.Enumeration getClasses(opencard.core.service.CardType type)

  Return an enumeration of known `CardService` classes.
  Parameters:
    `type` - The `CardType` of the smart card for which the enumeration is requested.
  Returns:
    An `Enumeration` of class objects.
  Overrides:
    getClasses in class opencard.core.service.CardServiceFactory

### getCardType

    public opencard.core.service.CardType getCardType(opencard.core.terminal.CardID cid,
                                                      opencard.core.service.CardServiceScheduler scheduler)

  Checks whether this factory can instantiate services for a given card.

  Overrides:
    getCardType in class opencard.core.service.CardServiceFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD